We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

Angular 100% Stacked Area Chart displays multiple series of data as stacked areas, ensuring that the cumulative proportion of each stacked element always totals 100%. The y-axis will hence always be rendered with the range 0–100.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Enable zooming and panning support when dealing with large amount of data to visualize the data point in any region.


Empty/null data point

Handle the missed data elegantly with empty points support.


Vertical chart

The Angular 100% Stacked Area Chart can be transposed vertically to view the data in different perspective.


Customization

Customize the color and border of the 100% stacked area chart using built-in APIs.


Code snippet

Easily get started with Angular 100% Stacked Area Chart using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular 100% Stacked Area Chart Example that shows you how to render and configure the chart.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
     <e-series [dataSource]='data' type='StackingArea100' xName='x' yName='y'> </e-series>  
    <e-series [dataSource]='data1' type='StackingArea100' xName='x' yName='y'> </e-series>     
</e-series-collection>
</ejs-chart>
// app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [{ x: 'CHN', y: 32 },
  { x: 'GER', y: 15 },
  { x: 'RUS', y: 30 },
  { x: 'BRZ', y: 16 },
  { x: 'IND', y: 25 }];
  public data1: Object[] = [{ x: 'CHN', y: 10 },
  { x: 'GER', y: 15, },
  { x: 'RUS', y: 35 },
  { x: 'BRZ', y: 10 },
  { x: 'IND', y: 15 }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

// app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { StackingAreaSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ StackingAreaSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

100% Stacked Area Chart User Guide

Learn the available options to customize Angular 100% Stacked Area Chart.

API

100% Stacked Area Chart API Reference

Explore the Angular 100% Stacked Area Chart APIs.


85+ ANGULAR UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

React 100% stacked area chart displays multiple series of data as stacked areas, ensuring that the cumulative proportion of each stacked element always totals 100%. The y-axis will hence always be rendered with the range 0–100.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Enable zooming and panning support when dealing with large amount of data to visualize the data point in any region.


Empty/null data point

Handle the missed data elegantly with empty points support.


Vertical chart

The 100% stacked area chart can be transposed vertically to view the data in different perspective.


Customization

Customize the color and border of the 100% stacked area chart using built-in APIs.


Code snippet

Easily get started with React 100% stacked area chart using a few simple lines of HTML and JS code example as demonstrated below. Also explore our React 100% Stacked Area Chart Example that shows you how to render and configure the chart.

import { AxisModel, Category, ChartComponent, Inject, SeriesCollectionDirective, SeriesDirective, StackingAreaSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data1 : any[]= [{ x: 'CHN', y: 32, },
  { x: 'GER', y: 15, },
  { x: 'RUS', y: 30 },
  { x: 'BRZ', y: 16 },
  { x: 'IND', y: 25 }];
  public data2 : any[]= [{ x: 'CHN', y: 10, },
  { x: 'GER', y: 15, },
  { x: 'RUS', y: 35 },
  { x: 'BRZ', y: 10 },
  { x: 'IND', y: 15 }];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[StackingAreaSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='StackingArea100'/>
      <SeriesDirective dataSource={this.data2} xName='x' yName='y' type='StackingArea100'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

100% Stacked Area Chart User Guide

Learn the available options to customize React 100% stacked area chart.

API

100% Stacked Area Chart API Reference

Explore the React 100% stacked area chart APIs.


85+ REACT UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon